﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using MvcSiteMapProvider.Web;

namespace SWOG_GiveCamp.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult newerror()
        {
            try
            {
                throw new Exception("TEST EXCEPTION");
            }
            catch (Exception e)
            {

                Elmah.ErrorSignal.FromCurrentContext().Raise(e);
            }
            return View("Index");
        }
        public ActionResult SiteMapXml()
        {
            return new XmlSiteMapResult();
        } 
        public ActionResult Index()
        {
            ViewBag.Message = "Welcome to ASP.NET MVC!";
            ViewBag.VolunteerCount = App.Db.Volunteers.Count();

            return View();
        }

        public ActionResult About()
        {
            return View();
        }
        public ActionResult FAQs(string id)
        {
            // just FAQs with no section specified
            if (string.IsNullOrEmpty(id))
            {
                return (View("FAQs"));
            }

            // section specified
            switch (id)
            {
                case "Charities":
                    return (View("FAQs-Charities"));
                case "Developers":
                    return (View("FAQs-Developers"));
                case "EventStaff":
                    return (View("FAQs-EventStaff"));
                case "Sponsors":
                    return (View("FAQs-Sponsors"));
                default:
                    // someone typed in a non-existant section URL
                    // redirect them to the 'no section specified' case
                    return (RedirectToAction("FAQs", "Home"));
            }
        }
        public ActionResult Directions()
        {
            return View("Directions");
        }
    }
}
