using System;
using System.Data.Entity.ModelConfiguration;
using System.Data.Common;
using System.Data.Entity;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using SWOG_GiveCamp.Entities;

namespace SWOG_GiveCamp.Mapping
{
	public class JobRoleMap : EntityTypeConfiguration<JobRole>
	{
		public JobRoleMap()
		{
			// Primary Key
			this.HasKey(t => t.JobRoleID);

			// Properties
			this.Property(t => t.Description)
				.IsRequired()
				.HasMaxLength(30);
				
			// Table & Column Mappings
			this.ToTable("JobRoles");
			this.Property(t => t.JobRoleID).HasColumnName("JobRoleID");
			this.Property(t => t.Description).HasColumnName("Description");
			this.Property(t => t.DisplayOrder).HasColumnName("DisplayOrder");
		}
	}
}

