﻿using System;
using System.Collections.Generic;
using System.Data.Entity.ModelConfiguration;
using System.Linq;
using System.Web;
using SWOG_GiveCamp.Entities;

namespace SWOG_GiveCamp.Mapping
{
    public class SponsorTypeMap : EntityTypeConfiguration<SponsorType>
    {
        public SponsorTypeMap()
        {
             this.HasKey(t => t.SponsorTypeID);

			// Properties
			this.Property(t => t.Description)
				.IsRequired()
				.HasMaxLength(30);
				
			// Table & Column Mappings
			this.ToTable("SponsorTypes");
			this.Property(t => t.SponsorTypeID).HasColumnName("SponsorTypeID");
			this.Property(t => t.Description).HasColumnName("Description");
        }
       
    }
}