using System;
using System.Collections.Generic;
using System.Data.Services.Common;

namespace SWOG_GiveCamp.Entities
{
    [DataServiceKey("TechnologyID")]
	public class Technology
	{
	    public Technology()
		{
			this.CharityRequirements = new List<CharityRequirement>();
			this.CharityRequirements1 = new List<CharityRequirement>();
			this.Volunteers = new List<Volunteer>();
		}

		public int TechnologyID { get; set; }
		public string Description { get; set; }
		public int DisplayOrder { get; set; }
		public virtual ICollection<CharityRequirement> CharityRequirements { get; set; }
		public virtual ICollection<CharityRequirement> CharityRequirements1 { get; set; }
		public virtual ICollection<Volunteer> Volunteers { get; set; }
	}
}

