﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace SWOG_GiveCamp.Entities
{
    public class TechnologySelectVM 
    {
        public bool IsSelected { get; set; }
        private Technology _Technology;

        public Technology Technology
        {
            get { return _Technology; }
            set { _Technology = value; }
        }

        public TechnologySelectVM()
        {
            _Technology = new Technology();
        }

        public TechnologySelectVM(Technology technology)
        {
            _Technology = technology;
        }
        public int TechnologyID
        {
            get { return _Technology.TechnologyID; } 
            set
            {
                _Technology = App.Db.Technologies.Find(value);
            }
        }
        public string Description { get { return _Technology.Description; } }
        public int DisplayOrder { get { return _Technology.DisplayOrder; } }
    }
}