using System;
using System.Data.Entity.ModelConfiguration;
using System.Data.Common;
using System.Data.Entity;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using SWOG_GiveCamp.Entities;

namespace SWOG_GiveCamp.Mapping
{
	public class ExperienceLevelMap : EntityTypeConfiguration<ExperienceLevel>
	{
		public ExperienceLevelMap()
		{
			// Primary Key
			this.HasKey(t => t.ExperienceLevelID);

			// Properties
			this.Property(t => t.Description)
				.IsRequired()
				.HasMaxLength(30);
				
			// Table & Column Mappings
			this.ToTable("ExperienceLevels");
			this.Property(t => t.ExperienceLevelID).HasColumnName("ExperienceLevelID");
			this.Property(t => t.Description).HasColumnName("Description");
			this.Property(t => t.DisplayOrder).HasColumnName("DisplayOrder");
		}
	}
}

