using System;
using System.Data.Entity.ModelConfiguration;
using System.Data.Common;
using System.Data.Entity;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using SWOG_GiveCamp.Entities;

namespace SWOG_GiveCamp.Mapping
{
	public class vw_VolunteerTechnologyListingMap : EntityTypeConfiguration<vw_VolunteerTechnologyListing>
	{
		public vw_VolunteerTechnologyListingMap()
		{
			// Primary Key
			this.HasKey(t => new { t.FullName, t.Description });

			// Properties
			this.Property(t => t.FullName)
				.IsRequired()
				.HasMaxLength(61);
				
			this.Property(t => t.Description)
				.IsRequired()
				.HasMaxLength(30);
				
			// Table & Column Mappings
			this.ToTable("vw_VolunteerTechnologyListing");
			this.Property(t => t.FullName).HasColumnName("FullName");
			this.Property(t => t.Description).HasColumnName("Description");
		}
	}
}

